function  viewBusiness(id) {
    window.open('/purchInvoice/view?viewInitiation=1&historyId='+id)
    return false;
}

//处理
function dealBusiness(taskId,businessKey) {
    purchInvoiceProcessedQuery.listPage = $('#contractList').getGridParam('page');
    $(".yk_rightcontent").load('/businessProcessingTask/dispatchMyTask?taskId='+taskId+"&businessKey="+businessKey)
    //$(".yk_rightcontent").load("/PurchInvoiceInfo/add?taskId="+taskId + '&id='+ businessKey)
}

//进度时间轴
function timeLime(id){
    $('.progressTimelinebox').empty();
    $.ajax({
        url:'/businessProcessingTask/doTimelineList',
        type:'get',
        data:{
            'businessKey':id,
            'businessType':'PurchInvoice'
        },
        success:function(data){
            if( data.success ){
                var text = '';
                for( var i=0;i<data.data.length;i++ ){
                    text += '<div class="progressTimeline"><div><span></span>'+data.data[i].formBusinessName+'</div>';
                    for( var j=0;j<data.data[i].logs.length;j++ ){
                        text += '<p><span>'+data.data[i].logs[j].assigneeTypeName+'：'+data.data[i].logs[j].assigneeName+'</span>';
                        if( data.data[i].logs[j].status ){
                            text += '<span>状态：'+data.data[i].logs[j].status+'</span>';
                        };
                        if( data.data[i].logs[j].startTime ){
                            text += '<span>开始时间：'+data.data[i].logs[j].startTime+'</span>';
                        };
                        if( data.data[i].logs[j].endTime ){
                            text += '<span>完成时间：'+data.data[i].logs[j].endTime+'</span>';
                        };
                        text += '</p>'
                    };
                    j = null;
                    text += '</div>';
                };
                i = null;
                $('.progressTimelinebox').append(text);
            }else{
                new $.zui.Messager('获取时间轴信息失败:'+data.msg, {
                    type: 'danger'
                }).show();
            }
        },
        error:function(error){
            new $.zui.Messager('获取时间轴信息发生错误:'+error, {
                type: 'danger'
            }).show();
        }
    })
    $("#myModal-progressTimeline").modal('show')
};



$(function () {

    // 重新加载列表
    function reloadList(){
        $('#contractList').setGridParam({
            mtype:'GET',
            url : '/businessProcessingTask/doMyCompletedList?simpleClassName=PurchInvoice',
            datatype : 'json',
            postData: {
                'businessNo':invoiceQuery.detailId2,
                'startDate':purchInvoiceProcessedQuery.startDate,
                'endDate':purchInvoiceProcessedQuery.endDate,
                'statusId':purchInvoiceProcessedQuery.status,
                'invoiceTypeId':purchInvoiceProcessedQuery.invoiceType,
                'amountKindId':purchInvoiceProcessedQuery.amountType,
                'fastSearch':purchInvoiceProcessedQuery.searchName
            },
            page : 1
        });
        $('#contractList').trigger('reloadGrid');
    };

    //初始化日期
    function setDate(select,startDate,endDate){
        $(select).datetimepicker(
            {
                weekStart: 1,
                autoclose: 1,
                todayHighlight: 0,
                startView: 2,
                minView: 2,
                forceParse: 0,
                showMeridian: 1,
                startDate:startDate,
                endDate:endDate,
                format: "yyyy-mm-dd"
            }
        );
        $(select).datetimepicker('setStartDate',startDate);
        $(select).datetimepicker('setEndDate',endDate);
    };
    setDate('#businessStartDate,#businessEndDate','1970-01-01','2116-12-31');

    $("#businessStartDate").val(purchInvoiceProcessedQuery.startDate);
    $("#businessEndDate").val(purchInvoiceProcessedQuery.endDate);
    $("#businessStatus").val(purchInvoiceProcessedQuery.status);
    $("#amountType").val(purchInvoiceProcessedQuery.amountType);
    $("#invoiceType").val(purchInvoiceProcessedQuery.invoiceType);
    $("#searchName").val(purchInvoiceProcessedQuery.searchName);


    // '开始日期'的变化
    $("#businessStartDate").change(function(){
        purchInvoiceProcessedQuery.startDate = $(this).val();
        if( $(this).val()=='' ){return}
        setDate('#businessEndDate',$(this).val(),'2116-12-31');
        reloadList();
    });
    $("#businessStartDate").change();

    // '结束日期'的变化
    $("#businessEndDate").change(function(){
        purchInvoiceProcessedQuery.endDate = $(this).val();
        if( $(this).val()=='' ){return}
        setDate('#businessStartDate','1918-01-01',$(this).val());
        reloadList();
    });
    $("#businessEndDate").change();

    // 日期输入框可删除
    $('.deleteTime').each(function(i,ele){
        $(ele).prev().change(function(){
            if( $(this).val()!=='' ){
                $(ele).show();
            }else{
                $(ele).hide();
            }
        });
        $(ele).prev().change();
    });

    // 删除日期
    $('.deleteCreateTime').click(function(){
        $(this).prev().val('');
        $(this).hide();
        if( $("#businessEndDate").val()=='' && $("#businessStartDate").val()=='' ){
            setDate('#businessEndDate,#businessStartDate','1970-01-01','2116-12-31');
        };
        if( $("#businessEndDate").val()=='' && $("#businessStartDate").val()!='' ){
            setDate('#businessStartDate','1970-01-01','2116-12-31');
            setDate('#businessEndDate',$("#businessStartDate").val(),'2116-12-31');
        };
        if( $("#businessEndDate").val()!='' && $("#businessStartDate").val()=='' ){
            setDate('#businessStartDate','1970-01-01',$("#planEndDate").val());
            setDate('#businessEndDate','1970-01-01','2116-12-31');
        };
        switch( $(this).prev().attr('id') ){
            case 'businessStartDate':purchInvoiceProcessedQuery.startDate = '';break;
            case 'businessEndDate':purchInvoiceProcessedQuery.endDate = '';break;
        };
        reloadList();
    });

    // 状态变化
    $("#businessStatus").change(function(){
        purchInvoiceProcessedQuery.status = $(this).val();
        reloadList();
    });
    $("#amountType").change(function(){
        purchInvoiceProcessedQuery.amountType = $(this).val();
        reloadList();
    });
    $("#invoiceType").change(function(){
        purchInvoiceProcessedQuery.invoiceType = $(this).val();
        reloadList();
    });

    function showAmount(cellValue,options,rowObject) {
        return commaDelimiter(cellValue)
    }

    // 操作列
    function operateBusiness(cellValue,options,rowObject){
        var btnstr = '';
        //if( $('#timeLine').length>0 ){
        btnstr += '<p><span>时间进度轴</span><i class="operateIconfont operateIcon-shijianzhou" onclick="timeLime(' + rowObject.id + ')"></i></p>';
        //};
        // if( $('#viewAllPurchaseInvoice').length>0 ){
        btnstr += '<p><span>查看</span><i class="operateIconfont operateIcon-chakan" onclick="viewBusiness('+rowObject.id+')"></i></p>';
        // };
        //if( $('#dealContract').length>0 ){
        //btnstr += '<p><span>处理</span><i class="operateIconfont operateIcon-chuli" onclick="dealBusiness(' + rowObject.taskId + ','+rowObject.id+')"></i></p>';
        //};
        return '<div class="operateIcon noHover">'+btnstr+'</div>';
    };

    sxUtil.jqGrid('#contractList', {
        colNames: ['ID', '序号','发票单号', '供应商名称','发票类型', '金额种类', '发票日期','发票金额', '状态', '操作'],
        colModel: [
            {name: 'id', label: 'ID', hidedlg: true, hidden: true, sortable: false, title: false},
            {name: 'orderNumber', label: '序号', sortable: false, width: 50, align: 'center', title: false},
            {name: 'businessNo', label: '发票单号', sortable: false,align: 'center', title: false},
            {name: 'purchaser', label: '供应商名称', sortable: false,align: 'center', title: false},
            {name: 'invoiceTypeStatus.name', label: '发票类型', sortable: false, align: 'center', title: false},
            {name: 'amountKindStatus.name', label: '金额种类', sortable: false, align: 'center', title: false},
            {name: 'gmtCreate', label: '发票日期', sortable: false, align: 'center', title: false},
            {name: 'invoAmount', label: '发票金额', sortable: false, align: 'center', title: false,formatter:showAmount},
            {name: 'status.name', label: '状态', sortable: false, align: 'center',  title: false},
            {
                name: 'remark',
                label: '操作',
                sortable: false,
                align: 'left',
                width: 140,
                title: false,
                formatter: operateBusiness
            }
        ],
        height: 'auto',
        mtype: 'GET',
        url: '/businessProcessingTask/doMyCompletedList?simpleClassName=PurchInvoice',
        pager: "#contractListPage",
        multiselect: false,
        rownumbers: false,
        postData: {
            'businessNo':invoiceQuery.detailId2,
            'startDate':purchInvoiceProcessedQuery.startDate,
            'endDate':purchInvoiceProcessedQuery.endDate,
            'statusId':purchInvoiceProcessedQuery.status,
            'invoiceTypeId':purchInvoiceProcessedQuery.invoiceType,
            'amountKindId':purchInvoiceProcessedQuery.amountType,
            'fastSearch':purchInvoiceProcessedQuery.searchName
        },
        page: purchInvoiceProcessedQuery.listPage,
        loadError: function () {
            new $.zui.Messager('列表加载失败', {
                type: 'warning'
            }).show();
        }
    }, true);

    //搜索
    $("#searchBusiness").click(function () {
        purchInvoiceProcessedQuery.startDate = $("#businessStartDate").val();
        purchInvoiceProcessedQuery.endDate = $("#businessEndDate").val();
        purchInvoiceProcessedQuery.status = $("#businessStatus").val();
        purchInvoiceProcessedQuery.amountType = $("#amountType").val();
        purchInvoiceProcessedQuery.invoiceType = $("#invoiceType").val();
        purchInvoiceProcessedQuery.searchName = $("#searchName").val();
        purchInvoiceProcessedQuery.listPage = 1;
        reloadList();
    })

    //切换表格
    $(".projectListTab li").click(function () {

        if ($(this).text() == '待我处理') {
            $(".yk_rightcontent").load('/invoiceManage/pendingPurchList');
        } else if ($(this).text() == '我已处理') {
            $(".yk_rightcontent").load('/purchInvoice/processedList');
        }else if ($(this).text() == '全部') {
            $(".yk_rightcontent").load('/purchInvoice/allList');
        }
    });

    $(".newBackBtn").click(function () {
        $(".yk_rightcontent").load('/invoiceManage/list')
    })

})

